1. Default module
My Project
  • Default module
    • rpm docrest v1
      POST
    • citizen v1
      POST
    • staff-count v1
      POST
    • insolved-yur v1
      POST
    • rpm passport v1
      POST
    • rpm pinfl v1
      POST
    • rpm tin v1
      POST
    • insolved-fiz v1
      POST
    • debtors-pinfl v1
      POST
    • debtors-passport v1
      POST
    • debtors-stir v1
      POST
    • citizen v1
      POST
    • ypx plate-number v1
      POST
    • ypx pin v1
      POST
    • ypx tin v1
      POST
    • ypx carlist pin v1
      POST
    • ypx carlist tin v1
      POST
    • convictions search v1
      POST
    • convictions check v1
      POST
    • mvd.address.info.pin
      POST
    • stat.ktyadr.v1
      POST
    • kadastr.nomer
      POST
    • get token
      POST
    • Schemas
      • Sample Schemas
        • Pet
        • Category
        • Tag
  • GSI Verification API
    • GSI
      • Верификация личности (multipart/form-data)
      • Верификация личности (base64 видео)
      • Валидация JWT-подписи
      • Проверка наличия кэша GSI данных
    • Schemas
      • VerifyRequest
      • ValidateSignatureRequest
      • VerifyB64Request
      • CheckCacheRequest
      • VerifySuccessResponse
      • SignatureSuccessResponse
      • VerifyResultData
      • SignaturePayload
      • VerifyErrorResponse
      • SignatureExpiredResponse
      • SignatureInvalidResponse
      • SignatureErrorResponse
      • CheckCacheSuccessResponse
      • CheckCacheErrorResponse
  1. Default module

rpm pinfl v1

Developing
POST
https://10.7.61.244:8244/mib/service/actions/v1/pinfl

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Body Params application/json

Examples

Responses

🟢200OK
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://10.7.61.244:8244/mib/service/actions/v1/pinfl' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "pin": "31002873680015",
    "work_number": "",
    "type": 1,
    "transaction_id": "1232343",
    "sender_pinfl": "31002873680015",
    "purpose": "1",
    "consent": "Yes"
}'
Response Response Example
{
    "result": "string",
    "data": [
        {
            "transaction_id": 0,
            "current_pinpp": "string",
            "pinpps": [
                "string"
            ],
            "current_document": "string",
            "documents": [
                {
                    "document": "string",
                    "type": "string",
                    "docgiveplace": "string",
                    "docgiveplaceid": 0,
                    "datebegin": "string",
                    "dateend": "string",
                    "status": 0
                }
            ],
            "surnamelat": "string",
            "namelat": "string",
            "patronymlat": "string",
            "surnamecyr": "string",
            "namecyr": "string",
            "patronymcyr": "string",
            "birth_date": "string",
            "birthplace": "string",
            "birthcountry": "string",
            "birthcountryid": 0,
            "livestatus": 0,
            "nationality": "string",
            "nationalityid": 0,
            "citizenship": "string",
            "citizenshipid": 0,
            "sex": 0,
            "photo": "string"
        }
    ],
    "comments": "string"
}
Modified at 2025-10-20 09:50:30
Previous
rpm passport v1
Next
rpm tin v1
Built with